models/Fotos.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "fotos".
 *
 * @property int $id
 * @property string $nombre
 * @property int $portada
 */
class Fotos extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'fotos';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['portada'], 'integer'],
            [['nombre'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'portada' => 'Portada',
        ];
    }
}

models/Paginas.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "paginas".
 *
 * @property int $id
 * @property string $nombre
 * @property string $texto
 */
class Paginas extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'paginas';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['nombre', 'texto'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'texto' => 'Texto',
        ];
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Fotos;
use app\models\Paginas;
use yii\data\ActiveDataProvider;
use yii\data\SqlDataProvider;

class SiteController extends Controller
{
    
    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        $fotosportada = Fotos::find()
            ->where(['portada' => 1])
            ->all();
        
        return $this->render('index',[
            'fotosPortada'=>$fotosportada,
        ]);
    }
    
    public function actionFotos()
    {
        $fotosportada = Fotos::find()
            ->where(['portada' => 0]);
            
        $dataProvider = new ActiveDataProvider([
            'query' => $fotosportada,
            'pagination'=>[
                'pageSize'=>1,
            ]
        ]);

        return $this->render('fotos', [
            'dataProvider' => $dataProvider,
        ]);
        
        /*return $this->render('index',[
            'fotosPortada'=>$fotosportada,
        ]);*/
    }
    /*
    public function actionFotos()
    { 

         $count = Yii::$app->db->createCommand('
            SELECT COUNT(*) FROM fotos WHERE portada=:portada
        ', [':portada' => 0])->queryScalar();


        $dataProvider = new SqlDataProvider([
            'sql' => 'SELECT * FROM fotos WHERE portada=:portada',
            'params' => [':portada' => 0],
            'totalCount' => $count,
            'pagination' => [
                'pageSize' => 1, // es como el limit
            ],
        ]);
        var_dump($dataProvider);
        exit;

        // returns an array of data rows
        //$models = $dataProvider->getModels();
        //var_dump($models);
        
        //exit;
     
       
        return $this->render('fotos', [
            'dataProvider' => $dataProvider,
        ]);
        
      
       
       return $this->render('fotos',[
            'dataProvider'=>$models,
            
        ]);
    }
    */
    
    public function actionEstamos(){
        $pagina = Paginas::find()
            ->where(['nombre' => 'Dónde estamos'])
            ->one();
        return $this->render('estamos',[
            'pagina'=>$pagina
        ]);
    }
    public  function actionPagina($p){
        $pagina = Paginas::find()
            ->where(['nombre' => 'Página '.$p])
            ->one();
        return $this->render('pagina',[
            'pagina'=>$pagina,
        ]);
    }
    public  function actionPagina2(){
        $pagina = Paginas::find()
            ->where(['nombre' => 'Página 2'])
            ->one();
        return $this->render('pagina',[
            'pagina'=>$pagina,
        ]);
    }
    public  function actionPagina3(){
        $pagina = Paginas::find()
            ->where(['nombre' => 'Página 3'])
            ->one();
        return $this->render('pagina',[
            'pagina'=>$pagina,
        ]);
    }
        
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
$this->registerCssFile("@web/css/mio.css",[
    'depends'=>[\yii\bootstrap\BootstrapAsset::className()]
]);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-left'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],            
            ['label' => 'Dónde estamos', 'url' => ['/site/estamos']],
            ['label'=>'Páginas','items'=>[
                ['label'=>'Pagina 1','url'=>['/site/pagina','p'=>1]],
                ['label'=>'Pagina 2','url'=>['/site/pagina','p'=>2]],
                ['label'=>'Pagina 3','url'=>['/site/pagina','p'=>3]],
            ]],
            ['label' => 'Fotos', 'url' => ['/site/fotos']],  
           
        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">Cristina Galán <?= date('Y') ?></p>        
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/__mapa.php
<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2895.9518519362905!2d-3.8139163852177966!3d43.46160237912827!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0xd494bcc568fd8c3%3A0x7858c552ade0effc!2sAlpe+Formacion!5e0!3m2!1ses!2ses!4v1537368896728" width="600" height="450" frameborder="0" style="border:0" allowfullscreen></iframe>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/estamos.php
<?php
echo "<h3>$pagina->texto</h3>";
echo $this->render('__mapa');

views/site/fotos.php
<?php
    use yii\grid\GridView;
    use yii\helpers\Html;
?>

<?= 

GridView::widget([
    'dataProvider'=>$dataProvider,
    'summary'=>"Mostrando {begin} - {end} de {totalCount} elementos",
     'tableOptions' => [
         'class' => 'table table-striped table-bordered fondoAzul',
         'style'=>['width:500px']
         ],
    'columns'=>[
        //['class' => 'yii\grid\SerialColumn'],
        [
                       'attribute'=>'nombre',
                       
                       'format'=>'raw',
                        'value' => function ($datos) {
                            $url = "@web/imgs/".$datos->nombre;
                            return Html::img($url, ['alt'=>'myImage','width'=>'500px']);
                        }
                        ],
    ]
]);
    ?>

views/site/index.php
<?php

use yii\helpers\Html;
use app\components\Foto;

/* @var $this yii\web\View */

$this->title = 'Página de inicio';
?>
<div class="site-index">

    <div class="jumbotron">
        <div class="body-content">
            <div class="row">
                <?php
                foreach ($fotosPortada as $dato) {
                    echo $this->render('unaPortada', [
                        'dato' => $dato,
                    ]);
                }
                ?>
            </div>

        </div>
    </div>

views/site/pagina.php
<?php
echo "<h4>$pagina->texto</h4>";

views/site/unaPortada.php
<?php

use yii\helpers\Html;
?>

<div class="col-md-4 text-center">
<?= Html::img('@web/imgs/' . $dato->nombre, ['alt' => 'Foto', 'width' => '200px']) ?>
</div>